KubeOne(1)

NAME

kubeone-config-migrate - Migrate the v1alpha1 KubeOneCluster manifest to the v1beta1 version

SYNOPSIS

kubeone config migrate [flags]

DESCRIPTION

Migrate the v1alpha1 KubeOneCluster manifest to the v1beta1 version. The v1alpha1 version of the KubeOneCluster manifest is deprecated and will be removed in one of the next versions. The new manifest is printed on the standard output.

OPTIONS

-h, --help[=false]
    help for migrate

OPTIONS INHERITED FROM PARENT COMMANDS

-c, --credentials=""
    File to source credentials and secrets from

-d, --debug[=false]
    debug output with stacktrace

-m, --manifest="./kubeone.yaml"
    Path to the KubeOne config

-t, --tfjson=""
    Source for terraform output in JSON - to read from stdin. If path is a file, contents will be used. If path is a dictionary, terraform output -json is executed in this path

-v, --verbose[=false]
    verbose output

EXAMPLE

    kubeone config migrate --manifest mycluster.yaml

SEE ALSO

kubeone-config(1)

HISTORY

15-Sep-2021 Auto generated by spf13/cobra